This URLs provides the severity for GTI.
Resource URL
GET /domain/<domain_id>/filereputation/gti
Request Parameters:
URL parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Sensitivity for GTI | String |
| Inherit settings from parent domain | Boolean |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/filereputation/gti
Response
{
"inheritSettings": false,
"Sensitivity": "VERY_LOW"
}
Error Information
Following error code is returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 1105 | Invalid domain |